Create an adjustment
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/adjustments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"correction_pay_stub_id": "<id>",
"source_line_item_id": "<id>",
"expected_amount": 50,
"admin_note": "Admin note"
}
'{
"id": "<id>",
"object": "adjustment",
"data": {
"source_line_item": {
"id": "<id>",
"object": "earning_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"amount": 10000,
"custom_amount": null,
"managed_amount": 10000,
"is_managed": true,
"line_item_type": "earning",
"earning_type": {
"id": "<id>",
"object": "earning_type",
"data": {
"type": "salary",
"label": "Salary",
"supported_payroll_types": {
"regular": true,
"historical": true,
"off_cycle": true
}
},
"links": {
"self": "/earning_types/salary"
}
},
"hours": 173.33,
"managed_hours": 173.33,
"custom_hours": null,
"accrued_vacation_pay": 0,
"recurrence": {
"id": "<id>",
"object": "pay_rate",
"links": {
"self": "/pay_rates/<id>"
}
},
"pay_rate": {
"id": "<id>",
"object": "pay_rate",
"links": {
"self": "/pay_rates/<id>"
}
},
"overtime_rate": null,
"title": "Salary Rate",
"title_translations": null,
"title_translated": "Salary Rate",
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"business_preset": null,
"source_adjustment": null,
"component_settings": {
"attributes_locked": false
},
"earned_on": null,
"managed_earned_on": null,
"custom_earned_on": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/earning_line_items/<id>"
}
},
"correction_line_item": {
"id": "<id>",
"object": "earning_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"amount": -9950,
"custom_amount": null,
"managed_amount": -9950,
"is_managed": false,
"line_item_type": "earning",
"earning_type": {
"id": "<id>",
"object": "earning_type",
"data": {
"type": "salary",
"label": "Salary",
"supported_payroll_types": {
"regular": true,
"historical": true,
"off_cycle": true
}
},
"links": {
"self": "/earning_types/salary"
}
},
"hours": null,
"managed_hours": null,
"custom_hours": null,
"accrued_vacation_pay": 0,
"recurrence": null,
"pay_rate": null,
"overtime_rate": null,
"title": "Salary Rate Adjustment",
"title_translations": {
"en": "Salary Rate Adjustment",
"fr": "Rajustement Salary Rate"
},
"title_translated": "Salary Rate Adjustment",
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"business_preset": null,
"source_adjustment": {
"id": "<id>",
"object": "adjustment",
"links": {
"self": "/adjustments/<id>"
}
},
"component_settings": {
"attributes_locked": false
},
"earned_on": null,
"managed_earned_on": null,
"custom_earned_on": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/earning_line_items/<id>"
}
},
"correction_pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"type": "earning",
"subtype": "salary",
"expected_amount": 50,
"admin_note": "Admin note",
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/adjustments/<id>"
}
}Adjustments
Create an adjustment
POST
/
adjustments
Create an adjustment
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/adjustments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"correction_pay_stub_id": "<id>",
"source_line_item_id": "<id>",
"expected_amount": 50,
"admin_note": "Admin note"
}
'{
"id": "<id>",
"object": "adjustment",
"data": {
"source_line_item": {
"id": "<id>",
"object": "earning_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"amount": 10000,
"custom_amount": null,
"managed_amount": 10000,
"is_managed": true,
"line_item_type": "earning",
"earning_type": {
"id": "<id>",
"object": "earning_type",
"data": {
"type": "salary",
"label": "Salary",
"supported_payroll_types": {
"regular": true,
"historical": true,
"off_cycle": true
}
},
"links": {
"self": "/earning_types/salary"
}
},
"hours": 173.33,
"managed_hours": 173.33,
"custom_hours": null,
"accrued_vacation_pay": 0,
"recurrence": {
"id": "<id>",
"object": "pay_rate",
"links": {
"self": "/pay_rates/<id>"
}
},
"pay_rate": {
"id": "<id>",
"object": "pay_rate",
"links": {
"self": "/pay_rates/<id>"
}
},
"overtime_rate": null,
"title": "Salary Rate",
"title_translations": null,
"title_translated": "Salary Rate",
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"business_preset": null,
"source_adjustment": null,
"component_settings": {
"attributes_locked": false
},
"earned_on": null,
"managed_earned_on": null,
"custom_earned_on": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/earning_line_items/<id>"
}
},
"correction_line_item": {
"id": "<id>",
"object": "earning_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"amount": -9950,
"custom_amount": null,
"managed_amount": -9950,
"is_managed": false,
"line_item_type": "earning",
"earning_type": {
"id": "<id>",
"object": "earning_type",
"data": {
"type": "salary",
"label": "Salary",
"supported_payroll_types": {
"regular": true,
"historical": true,
"off_cycle": true
}
},
"links": {
"self": "/earning_types/salary"
}
},
"hours": null,
"managed_hours": null,
"custom_hours": null,
"accrued_vacation_pay": 0,
"recurrence": null,
"pay_rate": null,
"overtime_rate": null,
"title": "Salary Rate Adjustment",
"title_translations": {
"en": "Salary Rate Adjustment",
"fr": "Rajustement Salary Rate"
},
"title_translated": "Salary Rate Adjustment",
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"business_preset": null,
"source_adjustment": {
"id": "<id>",
"object": "adjustment",
"links": {
"self": "/adjustments/<id>"
}
},
"component_settings": {
"attributes_locked": false
},
"earned_on": null,
"managed_earned_on": null,
"custom_earned_on": null,
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/earning_line_items/<id>"
}
},
"correction_pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"type": "earning",
"subtype": "salary",
"expected_amount": 50,
"admin_note": "Admin note",
"external_ref": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/adjustments/<id>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required range:
-99999 <= x <= 99999Must be present when type and subtype is either empty or not set.
Must be present when source_line_item_id is either empty or not set.
Available options:
allowance, deduction, earning, employee_benefit, employer_benefit, employer_statutory_withholding, reimbursement, statutory_withholding Must be present when source_line_item_id is either empty or not set.
Maximum string length:
255Response
201 - application/json
Created
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("adjustment").
Hide child attributes
Hide child attributes
Maximum string length:
255Maximum string length:
255A reference to the object in an external system, e.g. the primary key of the object in your application's database. Nmbr doesn't use, validate, parse, or require this value to be unique - it simply stores it for your reference.
Maximum string length:
255The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.
⌘I

